/*
 * Test library to show how to use configprog.
 * All this does is return a string value which is configurable.
 * The configuration table we use has the id "TestLib".
 */
#include "configprog.h"


/*
 * Our data to be configured.
 */
static	char *	libString;


/*
 * Our library's configuration table.
 */
CONFIG_BEGIN("TestLib")
CONFIG_ITEM("LIBSTRING", "this-is-the-lib-string-value", libString)
CONFIG_END


/*
 * Return the configurable string value.
 */
const char *
getLibString(void)
{
	/*
	 * If we are not yet configured then do so now.
	 * We can check this my seeing if our variable has a value yet.
	 */
	if (libString == 0)
		CONFIGURE();

	/*
	 * Return the string value.
	 */
	return libString;
}
